Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.network
Class NetworkPath

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.Vector<E>
                  java.util.Stack
                      uchicago.src.sim.network.NetworkPath

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class NetworkPath

extends java.util.Stack

Version:
  $Revision: 1.4 $ $Date: 2004/11/03 19:51:01 $
Author:
  Tom Howe
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`NetworkPath(double distance)`

Method Summary
`void` | `addNode(Node n)`
`java.lang.Object` | `get(int i)`
`double` | `getDistance()`
`double` | `getSubpathDistance(DefaultNode n1, DefaultNode n2)`
`int` | `indexOf(java.lang.Object o)`
`boolean` | `nodeInPath(Node n)`
`int` | `size()`

Methods inherited from class java.util.Stack
`empty, peek, pop, push, search`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, hashCode, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### NetworkPath

    public NetworkPath(double distance)

Method Detail

### addNode

    public void addNode(Node n)

### getDistance

    public double getDistance()

### nodeInPath

    public boolean nodeInPath(Node n)

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.List`
  Overrides:
    `size` in class `java.util.Vector`

### get

    public java.lang.Object get(int i)

  Specified by:
    `get` in interface `java.util.List`
  Overrides:
    `get` in class `java.util.Vector`

### indexOf

    public int indexOf(java.lang.Object o)

  Specified by:
    `indexOf` in interface `java.util.List`
  Overrides:
    `indexOf` in class `java.util.Vector`

### getSubpathDistance

    public double getSubpathDistance(DefaultNode n1,
                                     DefaultNode n2)
                              throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD